#*****************************************************************
#   /opt/Xilinx/14.7/ISE_DS/ISE/bin/lin64/unwrapped/compxlib configuration file - compxlib.cfg
#   Mon May 29 17:02:03 2017
#                                                                
#   Important :-                                                 
#       All options/variables must start from first column       
#                                                                
#*****************************************************************

#
RELEASE_VERSION:14.7
#
RELEASE_BUILD:P.20131013
#
# set current simulator name
SIMULATOR_NAME:mti_se
#
# set current language name
LANGUAGE_NAME:vhdl
#
# set compilation execution mode
EXECUTE:on
#
# print compilation command template in log file
LOG_CMD_TEMPLATE:off
#
# Hierarchical Output Directories
HIER_OUT_DIR:off
#
# print Pre-Compiled library info
PRECOMPILED_INFO:on
#
# create backup copy of setup files
BACKUP_SETUP_FILES:on
#
# use enhanced compilation techniques for faster library compilation
# (applicable to selected libraries only)
FAST_COMPILE:on
#
# save compilation results to log file with the name specified with -log option
ADD_COMPILATION_RESULTS_TO_LOG:on
#
# abort compilation process if errors are detected in the library
ABORT_ON_ERROR:off
#
# compile library in the directory specified by the environment variable if the
# -dir option is not specified
OUTPUT_DIR_ENV:
#
#///////////////////////////////////////////////////////////////////////
# Setup file name: ModelSim SE
SET:mti_se:MODELSIM=modelsim.ini
#
# ModelSim SE options for VHDL Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vcom -work <library> <OPTION> <file_name>
#
OPTION:mti_se:vhdl:u:-source -93 -novopt -explicit
OPTION:mti_se:vhdl:s:-source -93 -novopt -explicit
OPTION:mti_se:vhdl:c:-source -93 -novopt -explicit
OPTION:mti_se:vhdl:r:-source -93 -novopt -explicit
OPTION:mti_se:vhdl:i:-source -93 -novopt -explicit
OPTION:mti_se:vhdl:e:-93 -novopt -quiet -explicit
#
# ModelSim SE options for VERILOG Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vlog -work <library> <OPTION> <file_name>
#
OPTION:mti_se:verilog:u:-source -novopt
OPTION:mti_se:verilog:s:-source -novopt
OPTION:mti_se:verilog:n:-source -novopt
OPTION:mti_se:verilog:c:-source -novopt
OPTION:mti_se:verilog:r:-source -novopt
OPTION:mti_se:verilog:i:-source -novopt
OPTION:mti_se:verilog:e:-novopt -quiet
#
#///////////////////////////////////////////////////////////////////////
# Setup file name: ModelSim PE
SET:mti_pe:MODELSIM=modelsim.ini
#
# ModelSim PE options for VHDL Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vcom -work <library> <OPTION> <file_name>
#
OPTION:mti_pe:vhdl:u:-source -93 -explicit
OPTION:mti_pe:vhdl:s:-source -93 -explicit
OPTION:mti_pe:vhdl:c:-source -93 -explicit
OPTION:mti_pe:vhdl:r:-source -93 -explicit
OPTION:mti_pe:vhdl:i:-source -93 -explicit
OPTION:mti_pe:vhdl:e:-93 -novopt -quiet -explicit
#
# ModelSim PE options for VERILOG Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vlog -work <library> <OPTION> <file_name>
#
OPTION:mti_pe:verilog:u:-source
OPTION:mti_pe:verilog:s:-source
OPTION:mti_pe:verilog:n:-source
OPTION:mti_pe:verilog:c:-source
OPTION:mti_pe:verilog:r:-source
OPTION:mti_pe:verilog:i:-source
OPTION:mti_pe:verilog:e:-novopt -quiet
#
#///////////////////////////////////////////////////////////////////////
# Setup file name: ModelSim DE
SET:mti_de:MODELSIM=modelsim.ini
#
# ModelSim DE options for VHDL Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vcom -work <library> <OPTION> <file_name>
#
OPTION:mti_de:vhdl:u:-source -93 -novopt -explicit
OPTION:mti_de:vhdl:s:-source -93 -novopt -explicit
OPTION:mti_de:vhdl:c:-source -93 -novopt -explicit
OPTION:mti_de:vhdl:r:-source -93 -novopt -explicit
OPTION:mti_de:vhdl:i:-source -93 -novopt -explicit
OPTION:mti_de:vhdl:e:-93 -novopt -quiet -explicit
#
# ModelSim DE options for VERILOG Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vlog -work <library> <OPTION> <file_name>
#
OPTION:mti_de:verilog:u:-source -novopt
OPTION:mti_de:verilog:s:-source -novopt
OPTION:mti_de:verilog:n:-source -novopt
OPTION:mti_de:verilog:c:-source -novopt
OPTION:mti_de:verilog:r:-source -novopt
OPTION:mti_de:verilog:i:-source -novopt
OPTION:mti_de:verilog:e:-novopt -quiet
#
#///////////////////////////////////////////////////////////////////////
# Setup file name: QuestaSim
SET:questasim:MODELSIM=modelsim.ini
#
# QuestaSim options for VHDL Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vcom -work <library> <OPTION> <file_name>
#
OPTION:questasim:vhdl:u:-source -93 -novopt -explicit
OPTION:questasim:vhdl:s:-source -93 -novopt -explicit
OPTION:questasim:vhdl:c:-source -93 -novopt -explicit
OPTION:questasim:vhdl:r:-source -93 -novopt -explicit
OPTION:questasim:vhdl:i:-source -93 -novopt -explicit
OPTION:questasim:vhdl:e:-93 -novopt -quiet -explicit
#
# QuestaSim options for VERILOG Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vlog -work <library> <OPTION> <file_name>
#
OPTION:questasim:verilog:u:-source -novopt
OPTION:questasim:verilog:s:-source -novopt
OPTION:questasim:verilog:n:-source -novopt
OPTION:questasim:verilog:c:-source -novopt
OPTION:questasim:verilog:r:-source -novopt
OPTION:questasim:verilog:i:-source -novopt
OPTION:questasim:verilog:e:-novopt -quiet
#
#///////////////////////////////////////////////////////////////////////
# Setup file name: ncvhdl
SET:ncsim:CDS=cds.lib
SET:ncsim:HDL=hdl.var
#
# ncvhdl options for VHDL Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# ncvhdl -work <library> <OPTION> <file_name>
#
OPTION:ncsim:vhdl:u:-MESSAGES -v93 -RELAX -NOLOG
OPTION:ncsim:vhdl:s:-MESSAGES -v93 -RELAX -NOLOG
OPTION:ncsim:vhdl:c:-MESSAGES -v93 -RELAX -NOLOG
OPTION:ncsim:vhdl:r:-MESSAGES -v93 -RELAX -NOLOG
OPTION:ncsim:vhdl:i:-MESSAGES -v93 -RELAX -NOLOG
OPTION:ncsim:vhdl:e:-MESSAGES -v93 -RELAX -NOLOG
#
# ncvhdl options for VERILOG Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# ncvlog -work <library> <OPTION> <file_name>
#
OPTION:ncsim:verilog:u:-MESSAGES -NOLOG
OPTION:ncsim:verilog:s:-MESSAGES -NOLOG
OPTION:ncsim:verilog:n:-MESSAGES -NOLOG
OPTION:ncsim:verilog:c:-MESSAGES -NOLOG
OPTION:ncsim:verilog:r:-MESSAGES -NOLOG
OPTION:ncsim:verilog:i:-MESSAGES -NOLOG
OPTION:ncsim:verilog:e:-MESSAGES -NOLOG
#
#///////////////////////////////////////////////////////////////////////
# Setup file name: vlogan script version
SET:vcs_mx:SYNOPSYS_SIM=synopsys_sim.setup
#
# vlogan script version options for VHDL Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vhdlan -work <library> <OPTION> <file_name>
#
OPTION:vcs_mx:vhdl:u:-nc
OPTION:vcs_mx:vhdl:s:-nc
OPTION:vcs_mx:vhdl:c:-nc
OPTION:vcs_mx:vhdl:r:-nc
OPTION:vcs_mx:vhdl:i:-nc
OPTION:vcs_mx:vhdl:e:-nc
#
# vlogan script version options for VERILOG Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vlogan -work <library> <OPTION> <file_name>
#
OPTION:vcs_mx:verilog:u:+v2k -nc
OPTION:vcs_mx:verilog:s:+v2k -nc
OPTION:vcs_mx:verilog:n:+v2k -nc
OPTION:vcs_mx:verilog:c:+v2k -nc
OPTION:vcs_mx:verilog:r:+v2k -nc
OPTION:vcs_mx:verilog:i:+v2k -nc
OPTION:vcs_mx:verilog:e:-sverilog -nc
#
#///////////////////////////////////////////////////////////////////////
# Setup file name: Aldec
SET:riviera:LIBRARY=library.cfg
#
# Aldec options for VHDL Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vcom -work <library> <OPTION> <file_name>
#
OPTION:riviera:vhdl:u:-93
OPTION:riviera:vhdl:s:-93
OPTION:riviera:vhdl:c:-93
OPTION:riviera:vhdl:r:-93
OPTION:riviera:vhdl:i:-93
OPTION:riviera:vhdl:e:-93
#
# Aldec options for VERILOG Libraries
# Syntax:-
# OPTION:<simulator_name>:<language>:<library>:<options>
# <library> :- u (unisim) s (simprim) c (xilinxcorelib)
#              r (coolrunner) i (secureip) e (edk)
# vlog -work <library> <OPTION> <file_name>
#
OPTION:riviera:verilog:u:-v2k5
OPTION:riviera:verilog:s:-v2k5
OPTION:riviera:verilog:n:-v2k5
OPTION:riviera:verilog:c:-v2k5
OPTION:riviera:verilog:r:-v2k5
OPTION:riviera:verilog:i:-v2k5
OPTION:riviera:verilog:e:-v2k5
#///////////////////////////////////////////////////////////////////////
# End

